	subroutine kstart(string,k)
c
c     returns place of first non-blank character
c
	character*(*) string
      character*1 blank
      data blank/' '/
c
      k=0
      l=len(string)
      do i= 1,l
        if (string(i:i) .ne. blank) go to 2
      end do
	i=0
    2 continue
      k=i
	return
	end
